搜索
❏ 站外平台:

Kali Linux 推出用于防御性安全加固的 “Kali Purple”

作者: Arindam 译者: LCTT Xingyu.Wang

| 2023-03-18 07:23      

Kali Linux 2023.1 发布了重大更新,并引入了一个新的变体 “Kali Purple”。

在 Kali Linux 的 10 周年纪念,该团队为你准备了一些好东西。Kali Linux 2023.1 是 Kali Linux 的常规软件包更新,它带来了最新的桌面环境和主线内核更新。

Kali Linux 2023.1 推出 Kali Purple

这个版本的主要亮点是 Kali Purple,这是 Kali Linux 的一个新变体,带有 “防御性安全” 工具。Kali 团队目前正在将其作为技术预览版发布。

防御性安全软件可以实现各方面的安全加固,如漏洞扫描、事件跟踪和响应、数据包捕获、入侵检测等。现在你可以使用 Kali Purple 为你的应用程序或企业内置的所有工具。

你可以在安装过程中选择防卫包

Kali Purple 带来了 100 多个防御工具、文档、用于自动攻击脚本构建的 Kali CoPilot 以及更多工具。

  • Arkime - 完整的数据包捕获和分析
  • CyberChef - 网络瑞士军刀
  • Elastic Security - 安全信息和事件管理
  • GVM - 漏洞扫描器
  • TheHive - 事件响应平台
  • Malcolm - 网络流量分析工具套件
  • Suricata - 入侵检测系统
  • Zeek -(另一个)入侵检测系统

此外,为了与 美国《国家标准和技术研究所关键基础设施网络安全(NIST CSF)》的指导方针保持一致,为你配置了单独的菜单项目。它包括单独的应用类别 - 识别、保护、检测、响应和恢复。

根据 CIST CSF 准则的新菜单组

此外,还为 Kali Purple 创建了一个单独的 Discord 频道,用于合作和为社区提供额外的帮助。

Python 中的 Pip 变化

Python 的 pip 命令在(即将发布的)Debian 12 Bookworm 版本中正在发生变化。pip 命令用于安装 Python 模块。由于这些模块是用 pip 从外部安装的,它可能会破坏现有的 Debian 系统。

因此,从 Debian 12 开始,如果你试图用 pip 安装任何模块,你应该会得到一个 “外部管理的环境externally-managed-environment”的错误。如下:

你可以在 Kali 和 Debian 中使用 pip 进行安装

Kali Linux 团队从这个版本开始提供一个补丁,使你可以使用 pip 安装任何模块。但这只是暂时的解决方案,直到 Debian 12 稳定版。

所以,如果你是一个在 Kali Linux(或在 Debian)中使用 Python 环境的开发者,你肯定应该计划使用下面的 apt 命令来部署这些模块:

apt install python3-numpy

桌面环境和其他更新

默认桌面 Xfce 现在采用了 Xfce 4.18 版本,它带来了大量的功能,包括分割视图、图像预览和 Thunar 文件管理器中的其他功能。另外,KDE Plasma 版现在在 Kali Linux 2023.1 中的版本是 5.27。

Xfce 版的默认主题得到了改进,具有令人惊叹的外观;许多新的壁纸也包含在这个版本中。

最后,主线内核 6.1 现在可以在这个版本中使用,提供了最新的硬件、 CPU、GPU 和其他支持。

下载

如果你已经在运行 Kali Linux,只需运行系统升级就可以得到这个版本:

sudo apt update && sudo apt upgrade -y

对于新的下载,请访问下面的页面来获取 ISO。

下载 Kali Linux

如果你想试试 Kali Purple,请访问下面的页面:

下载 Kali Purple ISO

参考自 发布公告


via: https://debugpointnews.com/kali-linux-2023-1/

作者:arindam 选题:lkxed 译者:wxy 校对:wxy

本文由 LCTT 原创编译,Linux中国 荣誉推出



最新评论

LCTT 译者
Xingyu.Wang 💎💎💎
共计翻译: 974.0 篇 | 共计贡献: 3166
贡献时间:2014-07-25 -> 2023-03-26
访问我的 LCTT 主页 | 在 GitHub 上关注我


返回顶部

分享到微信

打开微信,点击顶部的“╋”,
使用“扫一扫”将网页分享至微信。